/*
 *
 * Created on March 2, 2000, 1:17 PM
 */
  
package DockFloatDemo;

import java.awt.print.*;
import java.awt.*;
import java.awt.Toolkit.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;
import java.awt.Image;
import javax.swing.border.*;
import javax.swing.event.*;
import javax.swing.table.*;


import java.util.*;
import java.net.URL;
import javax.swing.text.*;
import java.io.*;

import dsx.JDockFloatPro.*;



/** 
 *
 * @author  DCage
 * @version 
 */
   public class PanelDemo extends JFrame
   {

       public PanelDemo()
	   {

			// install the command table

		   super();

			// Force SwingSet to come up in the Cross Platform L&F
			try {
			//	UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
				// If you want the System L&F instead, comment out the above line and
				// uncomment the following:
			    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			} catch (Exception exc) {
				System.err.println("Error loading L&F: " + exc);
			}

	   
			addWindowListener (new java.awt.event.WindowAdapter () {
			  public void windowClosing (java.awt.event.WindowEvent evt) {
		
				   System.exit (0);
				
				}
			}
			);

			setBackground(SystemColor.menu); 

	       pack ();
       }

		public static void main (String args[])
		{
		    try
			{
				 
			    PanelDemo tmp=new PanelDemo();
			    tmp.setSize(400,600);	
   			    tmp.validate();
			    tmp.createTabPanel();
			    tmp.show ();
			}
			catch(Exception e)
			{
			   // eat it
			}
    
		}
                
                void createTabPanel()
                {
                  
                    JTabbedPane tabpane= new JTabbedPane(JTabbedPane.BOTTOM);
            
                   DockFloatPanel panelgreen = new DockFloatPanel((DockFloatFrame)null,"Green Container");
                   DockFloatPanel panelred = new DockFloatPanel((DockFloatFrame)null, "Red Container");
                   DockFloatPanel panelblue = new DockFloatPanel((DockFloatFrame)null,"Blue Container");
           
                    tabpane.add(panelgreen,"Green Container");
                    tabpane.add(panelred, "Red Container");
                    tabpane.add(panelblue, "Blue Container");
                    
                    getContentPane().add(tabpane,BorderLayout.CENTER);
                    
                    validate();
                    
                    attachDockFloatPanels(panelgreen,"Green1","Green2");
                    attachDockFloatPanels(panelred,"Red1","Red2");
                    attachDockFloatPanels(panelblue,"Blue1","Blue2");
                     
              
                }

	

	   // floating and docking function
	   public void attachDockFloatPanels(DockFloatPanel dfpanel,String sTitle1, String sTitle2)
	   {
	     
			dfpanel.setSize(100,200);
			dfpanel.setLocation(150,300);
			dfpanel.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
                       
                        DockFloatWindow dfw=new dsx.JDockFloatPro.DockFloatWindow(dfpanel,sTitle1);
                        dfw.setSize(100,200);
			dfw.setLocation(150,300);
			dfw.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
                        dfw.add(new JTree(),BorderLayout.CENTER);
			dfw.initStates(dfw.DOCKTOP);  
                   
                        dfw=new dsx.JDockFloatPro.DockFloatWindow(dfpanel,sTitle2);
                      
			dfw.setSize(100,200);
			dfw.setLocation(150,300);
			dfw.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
                        dfw.add(new JTree(),BorderLayout.CENTER);
			dfw.initStates(dfw.DOCKLEFT);  
  
	   }

   }
   


