/*
 *
 * Created on March 2, 2000, 1:17 PM
 */
 
package DockFloatDemo;

import java.awt.print.*;
import java.awt.*;
import java.awt.Toolkit.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;
import java.awt.Image;
import javax.swing.border.*;
import javax.swing.event.*;
import javax.swing.table.*;


import java.util.*;
import java.net.URL;
import javax.swing.text.*;
import java.io.*;

import dsx.JDockFloatPro.*;



/** 
 *
 * @author  DCage
 * @version 
 */
   public class SDIDemo extends dsx.JDockFloatPro.DockFloatFrame implements ActionListener, MenuListener
   { 

	  



	   private static ResourceBundle resources;

		static {
			try {
				resources = ResourceBundle.getBundle("DockFloatDemo.resources.Notepad", 
													 Locale.getDefault());
			} catch (MissingResourceException mre) {
				System.err.println("resources/Notepad.properties not found");
				System.exit(1);
			}
		}
    private Hashtable commands;
    /**
     * Suffix applied to the key used in resource file
     * lookups for an image.
     */
    public static final String imageSuffix = "Image";

    /**
     * Suffix applied to the key used in resource file
     * lookups for a label.
     */
    public static final String labelSuffix = "Label";

    /**
     * Suffix applied to the key used in resource file
     * lookups for an action.
     */
    public static final String actionSuffix = "Action";

    /**
     * Suffix applied to the key used in resource file
     * lookups for tooltip text.
     */
    public static final String tipSuffix = "Tooltip";

    public static final String openAction = "open";
    public static final String newAction  = "new";
    public static final String saveAction = "save";
    public static final String exitAction = "exit";
    public static final String showElementTreeAction = "showElementTree";

 
	dsx.JDockFloatPro.DockFloatWindow dfbrowser;
	dsx.JDockFloatPro.DockFloatWindow dfoutput;
	dsx.JDockFloatPro.DockFloatWindow dfproject;
    dsx.JDockFloatPro.DockFloatWindow dfproperty;
	dsx.JDockFloatPro.DockFloatToolBar dfEditToolBar;
	dsx.JDockFloatPro.DockFloatToolBar dfAlignToolBar;
    dsx.JDockFloatPro.DockFloatMenuBar dfMenu;
	JToolBar tbtestagent;
	JToolBar tbedittoolbar;
	private JMenuBar  menuBar;
    private JMenuBar  menuBar2;


  
   private JMenuItem browserItem;
   private JMenuItem outputItem;
   private JMenuItem projectItem;
   private JMenuItem propertiesItem;
   private JMenuItem alignItem;
   private JMenuItem editItem;
   private JMenuItem statusItem;
   private JMenuItem popupmenuItem;

   private JMenu     viewMenu;
   private JPanel    statusPanel;

   //JTree testTree;
   protected boolean   bfloatmenu;    

       public SDIDemo()
	   {

			// install the command table

		   super();
		   bfloatmenu=true;


			// Force SwingSet to come up in the Cross Platform L&F
			try {
                         UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
                                //javax.swing.plaf.metal.MetalLookAndFeel;
				// If you want the System L&F instead, comment out the above line and
				// uncomment the following:
			//    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                            //com.sun.java.swing.plaf.windows.WindowsLookAndFeel;
                            System.out.println("look feel "+UIManager.getLookAndFeel());
			} catch (Exception exc) {
				System.err.println("Error loading L&F: " + exc);
			}

	   
			addWindowListener (new java.awt.event.WindowAdapter () {
			  public void windowClosing (java.awt.event.WindowEvent evt) {

			  // if you don't want to save dock/float states, don't call  SaveDockFloatStates

			       if(bfloatmenu)
						SaveDockFloatStates("sdifile1.tmp");
				   else 
						SaveDockFloatStates("sdifile2.tmp");

				   System.exit (0);
				}
			}
			);
			
			setBackground(SystemColor.menu); 
	
			// Restore the previous dock/float states.   If you don't want restore previous dock/float states,
			// don't call LoadDockFloatStates
                        
	    	
	        if(bfloatmenu)
                {
			LoadDockFloatStates("sdifile1.tmp");
                }
		else
                 {
                   LoadDockFloatStates("sdifile2.tmp");
                }
		   

		setSize(500,500);
                  createWindows();
                      
                        
                        
                        
       }

		public static void main (String args[])
		{
		    try
			{
				 
				SDIDemo tmp=new SDIDemo();
   				tmp.show ();     
				tmp.validate();
			}
			catch(Exception e)
			{
			   // eat it
                            System.out.println("Application exception" + e);
			}
    
		}

		
	

	   // floating and docking function
	   public void createWindows()
	   {
	
		createMenuBar(bfloatmenu); 
	      createStatusBar();           
              createDockFloatEditToolBar();
              createDockFloatProperty();
                createDockFloatBrowser();
		 createDockFloatProject();
	        createDockFloatOutput();
	  
               createDockFloatAlginToolBar();    
     


       

		   CenterTextArea centertext=new CenterTextArea(this);
                 JScrollPane scr=new JScrollPane(centertext)
                 {
                     public Dimension getPreferredSize()
                     {
                     //    System.out.println("my cc");
                         return new Dimension(100,20);
                     }
                         
                         
                         
                     
                 };

	
                  JTabbedPane jp = new JTabbedPane();
                 jp.add(scr);
                  addFixedComponent(jp,BorderLayout.CENTER);
                   
                   
		   
	   }

	   private void createDockFloatBrowser()
	   {

			if(dfbrowser==null)
				dfbrowser=new dsx.JDockFloatPro.DockFloatWindow(this,"Class browser");
			dfbrowser.setSize(100,200);
		
			JPanel ptest=new JPanel();
			dfbrowser.add("Center",ptest);


			JButton floatbtn=new JButton("Float Project Pane");
			JButton dockbtn=new JButton("Dock Project Pane");


		    floatbtn.addActionListener (new java.awt.event.ActionListener () 
			  {
					public void actionPerformed (java.awt.event.ActionEvent evt) 
					{
			
						dfproject.floatIt();
                                    
					}
				}
			  );

			  dockbtn.addActionListener (new java.awt.event.ActionListener () 
			  {
					public void actionPerformed (java.awt.event.ActionEvent evt) 
					{
		
					    dfproject.dockIt();
                                        
                                           
 
					}
				}
			  );

			// add button listener here

			ptest.add(floatbtn);
			ptest.add(dockbtn);
			ptest.add(new JTextField("1234567890123456"));
                        dfbrowser.setDockableMask(dfbrowser.DOCKLEFTMASK|dfbrowser.DOCKTOPMASK);
  
		       dfbrowser.initStates(dfbrowser.DOCKLEFT); 
			dfbrowser.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
	   }

	   private void createDockFloatOutput()
	   {
	  	// another
		if(dfoutput==null)
	        dfoutput=new dsx.JDockFloatPro.DockFloatWindow(this,"Output");
			dfoutput.setSize(200,200);

			// add a edit window here
		JTextArea textarea=new JTextArea();
               JScrollPane areaScrollPane = new JScrollPane(textarea);
               areaScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
		

		   dfoutput.add(areaScrollPane,java.awt.BorderLayout.CENTER);
                   dfoutput.setFloatable(false);

		   dfoutput.initStates(dfoutput.DOCKLEFT); //  
                   
                   URL url = getResource("cut" + imageSuffix);
		Toolkit tkit = Toolkit.getDefaultToolkit();
		 dfoutput.setImage(tkit.createImage(url));
	   }

	   private void createDockFloatProject()
	   {
			if(dfproject==null)
				dfproject=new dsx.JDockFloatPro.DockFloatWindow(this,"Project");
                        dfproject.setInitialLayoutReference(dfbrowser);
		 

		  dfproject.setSize(150,150); 
			  
		   // Take the dummy data from SwingSet.
			final String[] names = {"First Name", "Last Name", "Favorite Color",
									"Favorite Number", "Vegetarian"};
			final Object[][] data = {
			{"Mark", "Andrews", "Red", new Integer(2), new Boolean(true)},
			{"Tom", "Ball", "Blue", new Integer(99), new Boolean(false)},
			{"Alan", "Chung", "Green", new Integer(838), new Boolean(false)},
			{"Jeff", "Dinkins", "Turquois", new Integer(8), new Boolean(true)},
			{"Amy", "Fowler", "Yellow", new Integer(3), new Boolean(false)},
			{"Brian", "Gerhold", "Green", new Integer(0), new Boolean(false)},
			{"James", "Gosling", "Pink", new Integer(21), new Boolean(false)},
			{"David", "Karlton", "Red", new Integer(1), new Boolean(false)},
			{"Dave", "Kloba", "Yellow", new Integer(14), new Boolean(false)},
			{"Peter", "Korn", "Purple", new Integer(12), new Boolean(false)},
			{"Phil", "Milne", "Purple", new Integer(3), new Boolean(false)},
			{"Dave", "Moore", "Green", new Integer(88), new Boolean(false)},
			{"Hans", "Muller", "Maroon", new Integer(5), new Boolean(false)},
			{"Rick", "Levenson", "Blue", new Integer(2), new Boolean(false)},
			{"Tim", "Prinzing", "Blue", new Integer(22), new Boolean(false)},
			{"Chester", "Rose", "Black", new Integer(0), new Boolean(false)},
			{"Ray", "Ryan", "Gray", new Integer(77), new Boolean(false)},
			{"Georges", "Saab", "Red", new Integer(4), new Boolean(false)},
			{"Willie", "Walker", "Phthalo Blue", new Integer(4), new Boolean(false)},
			{"Kathy", "Walrath", "Blue", new Integer(8), new Boolean(false)},
			{"Arnaud", "Weber", "Green", new Integer(44), new Boolean(false)}
			};

			// Create a model of the data.
			TableModel dataModel = new AbstractTableModel() {
				// These methods always need to be implemented.
				public int getColumnCount() { return names.length; }
				public int getRowCount() { return data.length;}
				public Object getValueAt(int row, int col) {return data[row][col];}

				// The default implementations of these methods in
				// AbstractTableModel would work, but we can refine them.
				public String getColumnName(int column) {return names[column];}
				public Class getColumnClass(int col) {return getValueAt(0,col).getClass();}
				public boolean isCellEditable(int row, int col) {return (col==4);}
				public void setValueAt(Object aValue, int row, int column) {
					data[row][column] = aValue;
				}
			 };

			// Instead of making the table display the data as it would normally with:
			JTable tableView = new JTable(dataModel);
	
			JScrollPane scrollpane = new JScrollPane(tableView);

		    dfproject.add(scrollpane,java.awt.BorderLayout.CENTER);
		    dfproject.initStates(dfproject.DOCKBOTTOM); 
                    
                    	URL url = getResource("save" + imageSuffix);
			Toolkit tkit = Toolkit.getDefaultToolkit();
			dfproject.setImage(tkit.createImage(url));
            
	
	   }

	   private void createDockFloatProperty()
	   {
			if(dfproperty==null)
	        dfproperty=new dsx.JDockFloatPro.DockFloatWindow(this,
			      "Properties");
			dfproperty.setSize(100,100);
			dfproperty.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
                        dfproperty.add(new JTree(),BorderLayout.CENTER);
			dfproperty.initStates(dfproperty.DOCKTOP);

			URL url = getResource("open" + imageSuffix);
			Toolkit tkit = Toolkit.getDefaultToolkit();
			dfproperty.setImage(tkit.createImage(url));

	   }

	   private void createDockFloatEditToolBar()
	   {
			if(tbedittoolbar==null)
				tbedittoolbar=(JToolBar)createToolbar("toolbar");
		   dfEditToolBar=new dsx.JDockFloatPro.DockFloatToolBar(this,"Editing Toolbar");
		   dfEditToolBar.setToolBar(tbedittoolbar);
		   dfEditToolBar.setLocation(100,200);
		   dfEditToolBar.initStates(dfEditToolBar.DOCKLEFT);
	   }

	   private void createDockFloatAlginToolBar()
	   {
		   JToolBar tb=(JToolBar)createToolbar("toolbar2");
	       dfAlignToolBar=new dsx.JDockFloatPro.DockFloatToolBar(this,"Align Toolbar");
		   dfAlignToolBar.setToolBar(tb);
		   dfAlignToolBar.initStates(dfAlignToolBar.FLOAT);
	   }


      private void createStatusBar()
	  {
	      JPanel com=new JPanel();
		   com.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
          /*
	      com.setLayout(new BoxLayout(com, BoxLayout.X_AXIS));
	     
	      JLabel lab = new JLabel("Status Bar");
		  com.add(lab);
		  */
		  com.setLayout(new BorderLayout());
		  JLabel lab =new JLabel("Status Bar");
		  com.add(lab,BorderLayout.CENTER);

		  addFixedComponent(com,BorderLayout.SOUTH);
		  
		  statusPanel=com;
	  }

	  private void createMenuBar(boolean bDockFloat)
	  {
	      if(bDockFloat)
		  {
			  dfMenu= new dsx.JDockFloatPro.DockFloatMenuBar(this,"Menu bar");
			
			  menuBar=createMenu();
			  dfMenu.setMenuBar(menuBar);
			  dfMenu.setDockableMask(DockFloatWindow.DOCKTOPMASK|DockFloatWindow.DOCKBOTTOMMASK);
			  dfMenu.initStates(1);
		  }
		  else
		  {
              menuBar=createMenu();
			  addFixedComponent(menuBar,java.awt.BorderLayout.NORTH);
		  }
	  }


	   private JMenuBar createMenu()
	   {
	      JMenuBar menubar=new JMenuBar();

		  viewMenu = new JMenu("View");
		  viewMenu.setMnemonic (KeyEvent.VK_V);
		  menubar.add(viewMenu);

		  viewMenu.addMenuListener(this);
		  browserItem = new JCheckBoxMenuItem("Class Browser");
		  outputItem = new JCheckBoxMenuItem("Output");
		  projectItem = new JCheckBoxMenuItem("Project");
		  propertiesItem =new JCheckBoxMenuItem("Properties");
          alignItem= new JCheckBoxMenuItem("Align Toolbar");
		  editItem = new JCheckBoxMenuItem("Edit Toolbar");
		  statusItem =new JCheckBoxMenuItem("Status bar");

		  browserItem.addActionListener(this);
		  outputItem.addActionListener(this);
		  projectItem.addActionListener(this);
		  propertiesItem.addActionListener(this);
		  alignItem.addActionListener(this);
		  editItem.addActionListener(this);
		  statusItem.addActionListener(this);
		  statusItem.setSelected(true);

		  viewMenu.add(browserItem);
		  viewMenu.add(outputItem);
		  viewMenu.add(projectItem);
		  viewMenu.add(propertiesItem);
		  viewMenu.add(alignItem);
		  viewMenu.add(editItem);
		  viewMenu.add(statusItem);
	 
		  JMenu projectMenu = new JMenu("Project");
		  projectMenu.setMnemonic (KeyEvent.VK_P);
		  menubar.add(projectMenu);
		  projectMenu.add(new JMenuItem("Add to Project"));
		  projectMenu.add(new JMenuItem("Set Active Project"));
	
		  JMenu buildMenu = new JMenu("Build");
		  buildMenu.setMnemonic (KeyEvent.VK_B);
		  menubar.add(buildMenu);

		  buildMenu.add(new JMenuItem("Compile"));
		  buildMenu.add(new JMenuItem("Rebuild All"));
	
		  return menubar;    
	   }




    /**
     * Create the toolbar.  By default this reads the 
     * resource file for the definition of the toolbar.
     */
    private Component createToolbar(String sSourceName) {
	JToolBar toolbar = new JToolBar();
	String[] toolKeys = tokenize(getResourceString(sSourceName));
	for (int i = 0; i < toolKeys.length; i++) {
	    if (toolKeys[i].equals("-")) {
		//toolbar.add(Box.createVerticalStrut(5)); // add component
          toolbar.addSeparator();
	    } else {
		toolbar.add(createTool(toolKeys[i]));
	    }
	}
	//toolbar.add(Box.createHorizontalGlue());
        JTextField text1 = new JTextField()
        {
            public Dimension getPreferredSize()
            {
               
                    return new Dimension(100,60);
             
            }
        };
          JTextField text2 = new JTextField()
        {
            public Dimension getPreferredSize()
            {
               
                     return new Dimension(100,20);
                
            }
        };
        if(m_iToolIndex ==0)
        {
          toolbar.add(text1);
       m_iToolIndex =1;
        }
        else
        {
            toolbar.add(text2);
        }
	return toolbar;
    }
    protected int m_iToolIndex =0;

    protected Component createTool(String key) {
	return createToolbarButton(key);
    }

    protected Action getAction(String cmd) {
	return (Action) commands.get(cmd);
    }

  

  /**
     * Take the given string and chop it up into a series
     * of strings on whitespace boundries.  This is useful
     * for trying to get an array of strings out of the
     * resource file.
     */
    protected String[] tokenize(String input) {
	Vector v = new Vector();
	StringTokenizer t = new StringTokenizer(input);
	String cmd[];

	while (t.hasMoreTokens())
	    v.addElement(t.nextToken());
	cmd = new String[v.size()];
	for (int i = 0; i < cmd.length; i++)
	    cmd[i] = (String) v.elementAt(i);

	return cmd;
    }

    protected URL getResource(String key) {
	String name = getResourceString(key);
	if (name != null) {
	    URL url = this.getClass().getResource(name);
	    return url;
	}
	return null;
    }

   protected String getResourceString(String nm) {
	String str;
	try {
	    str = resources.getString(nm);
	} catch (MissingResourceException mre) {
	    str = null;
	}
	return str;
    }



   /**
     * Create a button to go inside of the toolbar.  By default this
     * will load an image resource.  The image filename is relative to
     * the classpath (including the '.' directory if its a part of the
     * classpath), and may either be in a JAR file or a separate file.
     * 
     * @param key The key in the resource file to serve as the basis
     *  of lookups.
     */
    protected JButton createToolbarButton(String key) {
	URL url = getResource(key + imageSuffix);
	//	System.out.println("source "+key);
        JButton b = new JButton(new ImageIcon(url)) {
            public float getAlignmentY() { return 0.5f; }  //0.5f
	};
        b.setRequestFocusEnabled(false);
        b.setMargin(new Insets(1,1,1,1));

	String astr = getResourceString(key + actionSuffix);
	if (astr == null) {
	    astr = key;
	}

	b.setEnabled(true);

	String tip = getResourceString(key + tipSuffix);
	if (tip != null) {
	    b.setToolTipText(tip);
	}
        b.addActionListener( new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
          //      System.out.println("Button Clicked");
            }
        }
        );
 
        return b;
    }

	void popupMenu(Component com,Point pt)
	{
	   if(!bfloatmenu)
	      return;
	   JPopupMenu pop=new JPopupMenu();
	   popupmenuItem=new JMenuItem("show Main menu");
	   pop.add(popupmenuItem);
	   pop.show(com,pt.x,pt.y);
	   popupmenuItem.addActionListener(this);
	}


    public void actionPerformed(ActionEvent evt)
	   {
			Object source = evt.getSource();
			if(source==popupmenuItem)
			{
			   dfMenu.setVisible(true);
			}
		
			else if(source==outputItem)
			{
			   
			    if(outputItem.isSelected())
				{
				    dfoutput.setVisible(true);
				}
				else
				    dfoutput.setVisible(false);
			}
	        else if(source==projectItem)
			{
			   
			    if(projectItem.isSelected())
				{
				    dfproject.setVisible(true);
				}
				else
				    dfproject.setVisible(false);
			}
			else if(source==browserItem)
			{
			   
			    if(browserItem.isSelected())
				{
				    dfbrowser.setVisible(true);
				}
				else
				    dfbrowser.setVisible(false);
			}
			else if(source==propertiesItem)
			{
			   
			    if(propertiesItem.isSelected())
				{
				    dfproperty.setVisible(true);
				}
				else
				    dfproperty.setVisible(false);
			}
			else if(source==editItem)
			{
			   if(editItem.isSelected())
			       dfEditToolBar.setVisible(true);
			    else
				   dfEditToolBar.setVisible(false);
			}
			else if(source==alignItem)
			{
			   if(alignItem.isSelected())
			       dfAlignToolBar.setVisible(true);
			   else
			       dfAlignToolBar.setVisible(false);
			}
			else if(source==statusItem)
			{
			    if(statusItem.isSelected())
				   addFixedComponent(statusPanel,BorderLayout.SOUTH);
				else
				   removeFixedComponent(statusPanel);
			}			
						
	   }


	   public void menuCanceled(MenuEvent e)
	   {
	   }

	   public void menuSelected(MenuEvent e)
	   {
	       Object o=e.getSource();
		   if(o==viewMenu)
		   {
		   
		       if(dfoutput.isVisible())
			       outputItem.setSelected(true);
			   else
			       outputItem.setSelected(false);  
			   if(dfbrowser.isVisible())
			       browserItem.setSelected(true);
			   else
			       browserItem.setSelected(false);
			   if(dfproject.isVisible())
			       projectItem.setSelected(true);
			   else
			       projectItem.setSelected(false);
			   if(dfproperty.isVisible())
			       propertiesItem.setSelected(true);
			   else
			       propertiesItem.setSelected(false);
			   if(dfEditToolBar.isVisible())
			       editItem.setSelected(true);
			   else
			       editItem.setSelected(false);
			   if(dfAlignToolBar.isVisible())
			       alignItem.setSelected(true);
			   else
			       alignItem.setSelected(false);
				   
			  // ReLoad();
			 
		   }
	   }

	   public void menuDeselected(MenuEvent e)
	   {
	   }



}



class CenterTextArea extends JTextArea
{
   CenterTextArea(SDIDemo tframe)
   {
       super();
    //   setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
	   testFrame=tframe;
       addMouseListener(new MouseAdapter()
	   {
	       public void mouseClicked(MouseEvent e)
		   {
		      Point pt=e.getPoint();
			  if((e.getModifiers()&e.BUTTON1_MASK)!=e.BUTTON1_MASK)
			  {
				  onRightClicked(pt);

			  }
		   }
	   }
	   );

	  setEditable(false);
	  setLineWrap(true);
	  setWrapStyleWord(true);

	  String stext="This demo shows you a Dock/Float window that contains a JTree component, a Dock/Float window that contains a JTextArea component,"+
	               "a Dock/Float window that contains JTable component, a Dock/Float window that contains JButton components and JTextField compnent, " +
	               "two Dock/Float tool bars, ";

      
	  if(testFrame.bfloatmenu)
	  {
	       stext+="a Dock/Float menu bar and a non Dock/Float status bar." +
				   "  If you don't see the menu bar, please right click on this area to invoke a popup menu and left click the popup menu. "+
                   " You can show or hide these windows by clicking View and  selecting menu items from the menu bar"; 
 
	  }
	  else
	  {

		   stext+=" a non Dock/Float menu bar and a non Dock/Float status bar.";
	 }
				
	  setText(stext);
	 

   }  
   
   private void onRightClicked(Point pt)
   { 
		testFrame.popupMenu(this,pt);
   }
   SDIDemo testFrame;
}


